import { Box, Button, Heading, ListItem, Text, UnorderedList } from "@chakra-ui/react";
import { CardanoWallet, useWallet } from "@meshsdk/react";
import Head from "next/head";
import Image from "next/image";
import Link from "next/link";
import { useState } from "react";
import TreasurySummary from "../components/gpte/treasury/TreasurySummary";

export default function Home() {
  const { connected, wallet } = useWallet();
  const [assets, setAssets] = useState<null | any>(null);
  const [loading, setLoading] = useState<boolean>(false);

  async function getAssets() {
    if (wallet) {
      setLoading(true);
      const _assets = await wallet.getAssets();
      setAssets(_assets);
      setLoading(false);
    }
  }

  return (
    <>
      <Head>
        <title>GPTE Starter Template</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <Box>
        <Heading>GPTE Bare Bones Template</Heading>
        <Text>
          A minimally-styled template to serve as GPTE roadmap. Use as needed!{" "}
          <Link href="">
              Docs here.
          </Link>
        </Text>
      </Box>
      <Box my="5" p="5" bg="#343434">
        <Heading size="lg" pb="3">
          Roadmap
        </Heading>
        <UnorderedList>
          <ListItem>All parameters in gpte-config.ts</ListItem>
          <ListItem>Reliable Transaction templates: Commit + Distribute</ListItem>
          <ListItem>Treasury Management - at least add funds + update approved</ListItem>
          <ListItem>Implement Contribution Token</ListItem>
        </UnorderedList>
      </Box>
      <TreasurySummary />
    </>
  );
}
